"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _test = require("@playwright/test");
var _playwrightBdd = require("playwright-bdd");
var _readConfigFile = require("./readConfigFile");
var _builtInFixtures = _interopRequireDefault(require("./builtInFixtures"));
var _getUserFixtures = _interopRequireDefault(require("./helpers/getUserFixtures"));
const {
  bddMode
} = (0, _readConfigFile.generateConfigFromFile)();
let base = bddMode ? _playwrightBdd.test : _test.test;
const buildInFixtures = (0, _builtInFixtures.default)();
const buildInFixturesTest = base.extend({
  ...buildInFixtures
});
const userFixtures = (0, _getUserFixtures.default)();
const userFixturesTest = base.extend({
  ...userFixtures
});
const test = (0, _test.mergeTests)(buildInFixturesTest, userFixturesTest);
module.exports = {
  test
};