"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _path = _interopRequireDefault(require("path"));
var _accountLogin = _interopRequireDefault(require("./accountLogin"));
var _checkAuthCookies = require("./checkAuthCookies");
/* eslint-disable no-console */

async function performLoginSteps({
  page,
  authFilePrefix,
  useremail,
  password
}, isLoggedIn) {
  const authFile = _path.default.resolve(_path.default.join((0, _checkAuthCookies.getAuthFileDirectory)(), `${authFilePrefix}-cookies.json`));
  await (0, _checkAuthCookies.loadCookiesIfPresent)(page, authFile);
  await page.goto(process.env.domain);

  // await page.waitForNavigation();

  // await page.waitForLoadState('networkidle')

  await Promise.race([page.waitForNavigation(), page.waitForLoadState('networkidle'), page.waitForTimeout(5000)]);
  const loginStatus = await isLoggedIn(page);
  if (!loginStatus) {
    await (0, _accountLogin.default)(page, useremail, password);
    await page.goto(process.env.domain);

    // await page.waitForLoadState();

    await isLoggedIn(page);
    await page.context().storageState({
      path: authFile
    });
  }
}
var _default = exports.default = performLoginSteps;