"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _parseUserArgs = _interopRequireDefault(require("./helpers/parseUserArgs"));
var _readConfigFile = require("./readConfigFile");
var _tagProcessor = _interopRequireDefault(require("./tagProcessor"));
var _testRunner = require("./test-runner");
var _logger = require("../../utils/logger");
const validateFeatureFiles = () => {
  const userArgsObject = (0, _parseUserArgs.default)();
  const uatConfig = (0, _readConfigFile.generateConfigFromFile)();
  const {
    editionOrder
  } = uatConfig;
  const configPath = (0, _readConfigFile.isUserConfigFileAvailable)() ? require.resolve('./setup/config-creator.js') : require.resolve('../../../playwright.config.js');
  const tagProcessor = new _tagProcessor.default(editionOrder);
  const tagArgs = tagProcessor.processTags(userArgsObject);
  (0, _testRunner.runPreprocessing)(tagArgs, configPath).then(() => {
    _logger.Logger.log(_logger.Logger.SUCCESS_TYPE, 'Feature files validated successfully.');
  }).catch(error => {
    _logger.Logger.log(_logger.Logger.FAILURE_TYPE, `Error while validating the feature files - ${error}`);
  });
};
var _default = exports.default = validateFeatureFiles;