/* eslint-disable no-console */
import {
  test as setup,
  expect
} from '@zohodesk/testinglibrary';
import {
  getDefaultActor,
  getUserForSelectedEditionAndProfile,
  performLoginSteps
} from '@zohodesk/testinglibrary/helpers'
import { SETUP_HOME_PAGE_SELECTORS } from '../modules/Setup/dom-selectors/SetupSelectors';
import getUrlOrigin from '../shared/url-helpers/getUrlOrigin';

const { edition, profile } = getDefaultActor();

const user = getUserForSelectedEditionAndProfile(edition, profile);

async function verifyPageIsLoaded(page) {
  const urlOrigin = getUrlOrigin(page.url());
  const domainOrigin = getUrlOrigin(process.env.domain);
  if (urlOrigin === domainOrigin) {
    await expect(
      page
        .locator('header')
        .getByLabel(SETUP_HOME_PAGE_SELECTORS.SETUP_ICON_LABEL)
    ).toBeVisible();
    return true;
  }
  return false;
}

setup(`${user.edition} - Authentication`, async ({ page }) => {
  const { email, password } = user;
  await performLoginSteps(
    {
      page,
      authFilePrefix: email,
      useremail: email,
      password: password
    },
    verifyPageIsLoaded
  );
  //await completeOnboardings({ page });
});
