/* eslint-disable no-param-reassign */

// Note: We are duplicating below method from @zohodesk/i18n. We are not importing it as react package not yet availble in test environment.
function replaceI18NValuesWithRegex(i18nStr, values) {
  if (typeof values !== 'undefined') {
    if (Array.isArray(values)) {
      for (let i = 0; i < values.length; i++) {
        i18nStr = i18nStr.replace(new RegExp(`\\{${i}\\}`, 'g'), values[i]);
      }
    } else {
      i18nStr = i18nStr.replace(new RegExp('\\{0\\}', 'g'), values);
    }
  }
  return i18nStr;
}

module.exports = {
  i18N: async ({ page }, use) => {
    await use(async (key, values) => {
      const i18nValue = await page.evaluate((i18nKey) => window.i18n[i18nKey], key);
      const i18nStr = replaceI18NValuesWithRegex(i18nValue, values)
      return i18nStr;
    })
  }
}
